JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XRectangle

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XRectangle

Enclosing interface:
  X11

    public static class X11.XRectangle

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`short` | `height`
`short` | `width`
`short` | `x`
`short` | `y`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XRectangle()`
`X11.XRectangle(short x, short y, short width, short height)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public short x

### y

    public short y

### width

    public short width

### height

    public short height

Constructor Detail

### X11.XRectangle

    public X11.XRectangle()

### X11.XRectangle

    public X11.XRectangle(short x,
                          short y,
                          short width,
                          short height)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.